Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs7
Class EncryptedData

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs7.EncryptedData

All Implemented Interfaces:
  ASN1Value

public class EncryptedData
extends java.lang.Object
implements ASN1Value

The PKCS #7 structure EncryptedData.

Nested Class Summary
`static class` | `EncryptedData.Template` A Template for decoding EncryptedData items.

Field Summary
`static INTEGER` | `DEFAULT_VERSION` The default version number.
`private EncryptedContentInfo` | `encryptedContentInfo`
`private SEQUENCE` | `sequence`
`private static Tag` | `TAG`
`private static EncryptedData.Template` | `templateInstance`
`private INTEGER` | `version`

Constructor Summary
`private` | `EncryptedData()`
`` | `EncryptedData(EncryptedContentInfo encryptedContentInfo)` Creates an EncryptedData with the default version.
`` | `EncryptedData(INTEGER version, EncryptedContentInfo encryptedContentInfo)` Creates a new EncryptedData.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`EncryptedContentInfo` | `getEncryptedContentInfo()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static EncryptedData.Template` | `getTemplate()`
`INTEGER` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    private INTEGER version

### encryptedContentInfo

    private EncryptedContentInfo encryptedContentInfo

### sequence

    private SEQUENCE sequence

### DEFAULT_VERSION

    public static final INTEGER DEFAULT_VERSION

  The default version number. This should always be used unless you really know what you are doing.

### TAG

    private static final Tag TAG

### templateInstance

    private static final EncryptedData.Template templateInstance

Constructor Detail

### EncryptedData

    private EncryptedData()

### EncryptedData

    public EncryptedData(INTEGER version,
                         EncryptedContentInfo encryptedContentInfo)

  Creates a new EncryptedData.

Parameters:
  `version` - Should usually be DEFAULT_VERSION unless you are being very clever.

### EncryptedData

    public EncryptedData(EncryptedContentInfo encryptedContentInfo)

  Creates an EncryptedData with the default version.

Method Detail

### getVersion

    public INTEGER getVersion()

### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static EncryptedData.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD